]> git.pld-linux.org Git - packages/glibc.git/blobdiff - nscd.init
- trigger to try to rescue ld.so.conf after glibc-misc upgrade (untested)
[packages/glibc.git] / nscd.init
index 395df9d2d4f03e855fb44f7118bb5c2458a914dc..f85ff7a04dd0312ebdef4df3c8a00683841dac44 100644 (file)
--- a/nscd.init
+++ b/nscd.init
@@ -2,13 +2,13 @@
 #
 # nscd:                Starts the Name Switch Cache Daemon
 #
-# chkconfig: - 30 80
-# description:  This is a daemon which handles passwd and group lookups \
+# chkconfig:   345 30 80
+# description: This is a daemon which handles passwd and group lookups \
 #              for running programs and cache the results for the next \
-#              query.  You should start this daemon only if you use \
+#              query. You should start this daemon only if you use \
 #              slow Services like NIS or NIS+
-# processname: nscd
-# config: /etc/nscd.conf
+# processname: nscd
+# config:      /etc/nscd.conf
 #
 
 # Sanity checks.
 # Source function library.
 . /etc/rc.d/init.d/functions
 
+# Get sysconfig
+[ -f /etc/sysconfig/nscd ] && . /etc/sysconfig/nscd
+
+RETVAL=0
 # See how we were called.
 case "$1" in
-    start)
-       secure=""
-#      for table in passwd group
-#      do
-#              if egrep '^'$table':.*nisplus' /etc/nsswitch.conf >/dev/null
-#              then
-#                      /usr/lib/nscd_nischeck $table ||
-#                              secure="$secure -S $table,yes"
-#              fi
-#      done
-        show Starting Name Switch Cache Daemon
-       daemon nscd $secure
-        touch /var/lock/subsys/nscd
+  start)
+       if [ ! -f /var/lock/subsys/nscd ]; then
+               msg_starting "Name Switch Cache Daemon"
+               daemon nscd
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/nscd
+       else
+               msg_already_running "Name Switch Cache Daemon"
+       fi
        ;;
-    stop)
-       show Stopping Name Switch Cache Daemon
-       busy
-       /usr/sbin/nscd -K
-        rm -f /var/lock/subsys/nscd
-        deltext
-       ok
+  stop)
+       if [ -f /var/lock/subsys/nscd ]; then
+               msg_stopping "Name Switch Cache Daemon"
+               busy
+               /usr/sbin/nscd -K
+               rm -f /var/lock/subsys/nscd >/dev/null 2>&1
+               ok
+       else
+               msg_not_running "Name Switch Cache Daemon"
+       fi      
        ;;
   status)
-        status nscd
-        ;;
-  restart|reload)
-        $0 stop
-        $0 start
-        ;;
-    *)
-       echo "Usage: $0 {start|stop|status|restart|reload}"
+       status nscd
+       exit $?
+       ;;
+  restart|force-reload)
+       $0 stop
+       $0 start
+       exit $?
        ;;
+  *)
+       msg_usage "$0 {start|stop|restart|force-reload|status}"
+       exit 3
 esac
-exit 0
+
+exit $RETVAL
This page took 0.034655 seconds and 4 git commands to generate.